import 'package:xdata/XData.dart';
import 'package:xdata/XDataWrapper.dart';
import 'TXTestRequest.dart';
import 'TXAllTypeModelWrapper.dart';
import 'package:xdata/ListObjectHolder.dart';
class TXTestRequestWrapper extends XDataWrapper {
  ListObjectHolder _datasHolder = null;
  TXTestRequestWrapper.withData(XData data) : super.withData(data) {
    _initFieldHolders();
  }
  TXTestRequestWrapper.withType(int type) :super.withType(type);
  TXTestRequestWrapper():super.withType(TXTestRequest.TYPE_INDEX);


  void _initFieldHolders() {
    _datasHolder = ListObjectHolder(this,TXTestRequest.datas,(XData xdata) => {TXTestRequestWrapper.withData(xdata)});
  }


  set id(int id) {
    super.set(TXTestRequest.id, id);
  }

  int get id {
    return super.get(TXTestRequest.id);
  }

  set datas(List<TXAllTypeModelWrapper> datas) {
    super.set(TXTestRequest.datas, datas);
  }

  List<TXAllTypeModelWrapper> get datas {
    var list = super.get(TXTestRequest.datas) as List;
    var result = List();
    list?.forEach((data) {
      if (data is XDataWrapper) {
        result.add(data);
      } else {
        TXAllTypeModelWrapper wrapper = TXAllTypeModelWrapper.withData(data);
        result.add(wrapper);
      }
    });
    return result;
  }
}
