import 'dart:typed_data';

import 'XData.dart';
class XDataWrapper extends XData {
    XData data;
    XDataWrapper.withData(this.data):super(data.type) {}
    XDataWrapper.withType(int type):super(type){}

    Object get(int index) {
        if (data != null) {
            return data.get(index);
        }
        return super.get(index);
    }
    void set(int index, Object value) {
        if (data != null) {
            return data.set(index, value);
        }
        return super.set(index, value);
    }

    get type {
        return data == null ? super.type : data.type;
    }
}